=== debian/changelog ===
ros-indigo-python-pathtools (0.1.2-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Thomas Kostas <tkostas75@gmail.com>  Wed, 07 Jun 2017 06:58:42 -0000
