=== debian/control ===
Source: ros-indigo-python-pathtools
Section: misc
Priority: extra
Maintainer: Thomas Kostas <tkostas75@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-catkin-pip
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-python-pathtools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: File system general utilities
